/*------------------------------------------------------------------------------

------------------------------------------------------------------------------*/
static void __inline__ brief_pause( register unsigned int n )
{
__asm__ __volatile__ (
		"1: \n"
		" dec %[n] \n"
		" jne 1b \n" : [n] "+r"(n)
		);
}
/*

static void __inline__ _push( register unsigned int n )
{
	__asm__ __volatile__(
		"push &%[n] \n"
		);
}
static void __inline__ _pop( register unsigned int* n )
{
	__asm__ __volatile__(
		"pop r15 \n"
		);
}
*/
static void __inline__ _start_flash( )
{
	__asm__ __volatile__(
		"push r2 \n"
		"bit #0xf7, r2 \n"
		);
}

static void __inline__ _end_flash( )
{
	__asm__ __volatile__(
		"pop r2 \n"
		);
}

#ifdef USING_AVERAGE_32
extern int average_32_val;
extern int average_32_buf[ 32 ];
void average_32( );
#endif

void Set_DCO( int delta );

typedef unsigned char u8;
typedef unsigned int u16;
typedef unsigned long int u32;
